From 085a2e4ddcbb22f418836cbb20b286fb2fe8e119 Mon Sep 17 00:00:00 2001
From: Wang Ziming <wangziming@huawei.com>
Date: Fri, 24 Apr 2020 14:39:40 +0800
Subject: [PATCH 50/77] virtual_disks_multidisk: add loader and nvram to xml
 adapt to aarch64 platform

As vm in aarch64 platform need "loader" and "nvram" in <os>, so when we edit
the xml,we should add "loader" and "nvram". Otherwise ,it will be an
error: "unsupported configuration: ACPI requires UEFI on this architecture".

Signed-off-by: Wang Ziming <wangziming@huawei.com>
---
 libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py b/libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py
index 98a59f3e..28c164bc 100644
--- a/libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py
+++ b/libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py
@@ -1216,6 +1216,11 @@ def run(test, params, env):
                 osxml.type = vmxml.os.type
                 osxml.arch = vmxml.os.arch
                 osxml.machine = vmxml.os.machine
+                if platform.platform().count('aarch64'):
+                    osxml.loader = vmxml.os.loader
+                    osxml.loader_readonly = vmxml.os.loader_readonly
+                    osxml.loader_type = vmxml.os.loader_type
+                    osxml.nvram = vmxml.os.nvram
                 if test_boot_console:
                     osxml.loader = "/usr/share/seabios/bios.bin"
                     osxml.bios_useserial = "yes"
-- 
2.23.0

